1
0
Fork 0

Merging upstream version 2.0.

Signed-off-by: Daniel Baumann <daniel@debian.org>
This commit is contained in:
Daniel Baumann 2025-02-16 12:15:45 +01:00
parent 888be815c6
commit e4376063b0
Signed by: daniel
GPG key ID: FBB4F0E80A80222F
521 changed files with 21541 additions and 21644 deletions

View file

@ -1,28 +1,3 @@
#!/bin/bash
#!/bin/sh
LC_ALL=C
if [ -e "/proc/device-tree/ibm,partition-uuid" ] ; then
UUID=$(tr -d '\0' < /proc/device-tree/ibm,partition-uuid)
else
UUID=$(dmidecode -s system-uuid | tr -d '[:space:]')
fi
if [ -z "$UUID" ] ; then
>&2 echo "No UUID found, can't determine hostnqn."
exit 1
fi
# convert UUID to lower-case only:
UUID=$(echo $UUID | tr '[:upper:]' '[:lower:]')
# check UUID format, e.g.: 4c4c4544-0156-4a10-8134-b7d04f383232, so: 8-4-4-4-12
if ! [[ $UUID =~ ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$ ]] ; then
>&2 echo "UUID has invalid format."
>&2 echo "Invalid UUID: ${UUID}"
exit 2
fi
HOSTNQN="nqn.2014-08.org.nvmexpress:uuid:${UUID}"
echo $HOSTNQN
nvme gen-hostnqn